# Check out the wiki at https://github.com/LMBishop/MoneyPouch/wiki/Config

pouches:
  tier:
    # Define pouches here
    lowtier:
      name: "&f書 &7Tier Money Pouch &8(&7Right-Click&8)"
      item: "ENDER_CHEST"
      pricerange:
        from: 1000
        to: 5000
      options:
        economytype: "VAULT"
        permission-required: false      # requires permission "moneypouch.pouches.vault-1"
      lore:
        - "&7Open this pouch to receive money!"
    
    midtier:
      name: "&f六 &eTier Money Pouch &8(&7Right-Click&8)"
      item: "ENDER_CHEST"
      pricerange:
        from: 5000 
        to: 10000
      options:
        economytype: "VAULT"
      lore:
        - "&7Open this pouch to receive money!"
    
    hightier:
      name: "&f书 &cTier Money Pouch &8(&7Right-Click&8)"  
      item: "ENDER_CHEST"
      pricerange:
        from: 10000
        to: 30000
      options:
        economytype: "VAULT"
      lore:
        - "&7Open this pouch to receive money!"

  # Sound settings (!!!!!!! MUST change for pre-1.9 !!!!!!!)
  sound:
    enabled: true
    opensound: "ENTITY_EXPERIENCE_ORB_PICKUP"       # (CHEST_OPEN  pre-1.9)
    revealsound: "ENTITY_EXPERIENCE_ORB_PICKUP"     # (ANVIL_LAND  pre-1.9)
    endsound: "ENTITY_PLAYER_LEVELUP"  # (EXPLODE  pre-1.9)

  # Title settings (will not work before 1.8, timings will not work before 1.10)
  title:
    speed-in-tick: 10
    subtitle: "&aOpening pouch..."
    obfuscate-colour: "&a"
    reveal-colour: "&a"
    prefix-colour: "&2"
    suffix-colour: "&a"
    obfuscate-digit-char: "#"
    obfuscate-format-char: "|"
    format:               # (adds commas e.g   $1,924,281)
      enabled: false
      reveal-comma: true  # the commas will already be revealed when opening

# Rather than showing each digit left-to-right, reveal it right-to-left
reverse-pouch-reveal: true

error-handling:
  # It is recommended you set the following to 'true' in a production environment
  # The plugin will log should a transaction fail for any reason, allowing you to investigate
  # and manually reward the player yourself
  # The player will be alerted and asked to tell an admin should this event occur regardless if this is disabled
  # You can change this message ('reward-error') at the bottom of the config
  log-failed-transactions: true
  # Refund the pouch to the player (if they are online) in the event a transaction failed - this is default
  # to 'false' as this results in a different prize on the second try, and it is unlikely
  # that the transaction will succeed if it had already failed. It is recommended
  # to keep this 'false' and manually investigate when errors occur.
  refund-pouch: false
  # Prevent opening pouches which have an invalid economy type assigned to them.
  # The message 'invalid-pouch' will be sent to the player.
  prevent-opening-invalid-pouches: true

# /mpshop
shop:
  enabled: false
  ui-title: "Pouch Shop"
  purchasable-items:
    xp-1:
      price: 4000
      currency: "VAULT"
    vault-1:
      price: 5500
      currency: "VAULT"
  append-to-lore:
    - "&8==========================="
    - "&aPrice: &e%prefix%%price%%suffix%"
    - "&aClick to purchase"

# Economy prefixes and suffixes
economy:
  xp:
    prefix: ""
    suffix: " XP"
  vault:
    prefix: "$"
    suffix: ""
  lemonmobcoins:
    prefix: ""
    suffix: " Mob Coins"
  examplecustomeconomy: # please see the "customeconomytype" directory for more info
    prefix: ""
    suffix: " Diamonds"

# Messages here
messages:
  full-inv: "&c%player%'s inventory is full!"
  give-item: "&6Given &e%player% %item%&6."
  receive-item: "&6You have been given %item%&6."
  prize-message: "&6You have received &c%prefix%%prize%%suffix%&6!"
  already-opening: "&cPlease wait for your current pouch opening to complete first!"
  invalid-pouch: "&cThis pouch is invalid and cannot be opened."
  inventory-full: "&cYour inventory is full."
  reward-error: "&cYour reward of %prefix%%prize%%suffix% &chas failed to process. Contact an admin, this has been logged."
  purchase-success: "&6You have purchased %item%&6 for &c%prefix%%price%%suffix%&6."
  purchase-fail: "&cYou do not have &c%prefix%%price%%suffix%&6."
  purchase-error: "&cCould not complete transaction for %item%&c."
  shop-disabled: "&cThe pouch shop is disabled."
  no-permission: "&cYou cannot open this pouch."
